searchData={"items":[{"type":"module","title":"Qwen","doc":"Documentation for `Qwen`.","ref":"Qwen.html"},{"type":"function","title":"Qwen.chat/1","doc":"通义千问大语言模型: 输入prompt，输出生成结果。\n注意在这之前需要先[开通DashScope并创建API-KEY](https://help.aliyun.com/zh/dashscope/developer-reference/activate-dashscope-and-create-an-api-key),\n之后通过`export DASHSCOPE_API_KEY=\"YOUR_DASHSCOPE_API_KEY\"`设置好环境变量。","ref":"Qwen.html#chat/1"},{"type":"function","title":"简单测试 - Qwen.chat/1","doc":"在设置好API KEY的环境变量后，可以通过预置的prompt测试是否可以正常使用通义千问的API\n\n```elixir\niex> import Qwen\nQwen\niex> Qwen.chat()\n{:ok,\n\"你好，我是通义千问，由阿里云开发的AI助手。我被设计用来回答各种问题、提供信息和进行对话，无论你对科技、文化、历史、生活常识还是其他领域的问题，我都会尽力为你提供准确和详尽的回答。我不能感受情感，但我可以提供客观、中立的帮助。如果你有任何问题，请随时向我提问。\"}\n```","ref":"Qwen.html#chat/1-%E7%AE%80%E5%8D%95%E6%B5%8B%E8%AF%95"},{"type":"function","title":"一般用法 - Qwen.chat/1","doc":"```elixir\niex> import Qwen.Generation\niex> prompt = ~l\"model: qwen-turbo system: 你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话。user: 你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\niex> Qwen.chat(prompt)\n{:ok,\n\"我李白，醉卧青天云间游，笔下挥洒天地秋。虽非意大利文豪，但对异国才子亦有敬意。卡尔维诺如织梦者，编织文字的绮丽迷宫，\n《看不见的城市》唤起无尽想象，跨越时空的桥梁。\n心灵之旅如幻如真，寓言世界深邃如渊。\n他的故事如月挂天涯，照亮异域文化之光。\n才华横溢如星河璀璨，卡尔维诺在文学的夜空独步，\n虽未亲临其境，诗篇寄情以遥祝，\n愿他的奇思永照人间，让读者沉醉在永恒的篇章。\"}\n```","ref":"Qwen.html#chat/1-%E4%B8%80%E8%88%AC%E7%94%A8%E6%B3%95"},{"type":"function","title":"Qwen.generation/2","doc":"通义千问大语言模型(原始接口): 输入原始格式参数，输出原始格式结果","ref":"Qwen.html#generation/2"},{"type":"function","title":"请求参数 - Qwen.generation/2","doc":"```elixir\nparams = [\n  model: \"qwen-turbo\",\n  input: %{\n      messages: [\n          %{\n              role: \"system\",\n              content: \"你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话\"\n          },\n          %{\n              role: \"user\",\n              content: \"你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\n          }\n      ]\n    },\n  parameters: %{\n    result_format: \"message\"\n  }\n]\n```","ref":"Qwen.html#generation/2-%E8%AF%B7%E6%B1%82%E5%8F%82%E6%95%B0"},{"type":"function","title":"发起请求 - Qwen.generation/2","doc":"```elixir\nQwen.generation(params, %Qwen.Config{})\n```","ref":"Qwen.html#generation/2-%E5%8F%91%E8%B5%B7%E8%AF%B7%E6%B1%82"},{"type":"function","title":"请求响应 - Qwen.generation/2","doc":"```elixir\n{:ok,\n  %{\n    output: %{\n      \"choices\" => [\n        %{\n          \"finish_reason\" => \"stop\",\n          \"message\" => %{\n            \"content\" => \"吾乃大唐诗仙李太白，异国文豪未识面，\n卡尔维诺名震欧罗巴，笔下世界幻如烟。\n《看不见的城市》藏深意，文字游戏人间篇，\n穿越时空织锦绣，如我醉酒舞剑篇。\n\n天马行空思绪远，寓言之中见哲理，\n与我青天揽明月，皆是诗心照万里。\n虽隔千山与万水，文学之心共通灵，\n愿尔作品长流传，犹如长江水东流。\",\n            \"role\" => \"assistant\"\n          }\n        }\n      ]\n    },\n    usage: %{\"input_tokens\" => 63, \"output_tokens\" => 114, \"total_tokens\" => 177},\n    request_id: \"558791e3-dcbe-95d5-bbad-1b2fe3c2f6cf\"\n  }}\n```","ref":"Qwen.html#generation/2-%E8%AF%B7%E6%B1%82%E5%93%8D%E5%BA%94"},{"type":"module","title":"Qwen.Client","doc":"Qwen Client","ref":"Qwen.Client.html"},{"type":"function","title":"Qwen.Client.api_post/3","doc":"","ref":"Qwen.Client.html#api_post/3"},{"type":"function","title":"Qwen.Client.bearer/1","doc":"","ref":"Qwen.Client.html#bearer/1"},{"type":"function","title":"Qwen.Client.delete/3","doc":"Issues a DELETE request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Qwen.Client.html#delete/3"},{"type":"function","title":"Qwen.Client.delete!/3","doc":"Issues a DELETE request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Qwen.Client.html#delete!/3"},{"type":"function","title":"Qwen.Client.get/3","doc":"Issues a GET request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Qwen.Client.html#get/3"},{"type":"function","title":"Qwen.Client.get!/3","doc":"Issues a GET request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Qwen.Client.html#get!/3"},{"type":"function","title":"Qwen.Client.handle_response/1","doc":"","ref":"Qwen.Client.html#handle_response/1"},{"type":"function","title":"Qwen.Client.head/3","doc":"Issues a HEAD request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Qwen.Client.html#head/3"},{"type":"function","title":"Qwen.Client.head!/3","doc":"Issues a HEAD request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Qwen.Client.html#head!/3"},{"type":"function","title":"Qwen.Client.options/3","doc":"Issues an OPTIONS request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Qwen.Client.html#options/3"},{"type":"function","title":"Qwen.Client.options!/3","doc":"Issues a OPTIONS request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Qwen.Client.html#options!/3"},{"type":"function","title":"Qwen.Client.patch/4","doc":"Issues a PATCH request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Qwen.Client.html#patch/4"},{"type":"function","title":"Qwen.Client.patch!/4","doc":"Issues a PATCH request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Qwen.Client.html#patch!/4"},{"type":"function","title":"Qwen.Client.post/4","doc":"Issues a POST request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Qwen.Client.html#post/4"},{"type":"function","title":"Qwen.Client.post!/4","doc":"Issues a POST request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Qwen.Client.html#post!/4"},{"type":"function","title":"Qwen.Client.process_headers/1","doc":"","ref":"Qwen.Client.html#process_headers/1"},{"type":"function","title":"Qwen.Client.process_request_body/1","doc":"","ref":"Qwen.Client.html#process_request_body/1"},{"type":"function","title":"Qwen.Client.process_request_headers/1","doc":"","ref":"Qwen.Client.html#process_request_headers/1"},{"type":"function","title":"Qwen.Client.process_request_options/1","doc":"","ref":"Qwen.Client.html#process_request_options/1"},{"type":"function","title":"Qwen.Client.process_request_params/1","doc":"","ref":"Qwen.Client.html#process_request_params/1"},{"type":"function","title":"Qwen.Client.process_request_url/1","doc":"","ref":"Qwen.Client.html#process_request_url/1"},{"type":"function","title":"Qwen.Client.process_response/1","doc":"","ref":"Qwen.Client.html#process_response/1"},{"type":"function","title":"Qwen.Client.process_response_body/1","doc":"","ref":"Qwen.Client.html#process_response_body/1"},{"type":"function","title":"Qwen.Client.process_response_chunk/1","doc":"","ref":"Qwen.Client.html#process_response_chunk/1"},{"type":"function","title":"Qwen.Client.process_response_headers/1","doc":"","ref":"Qwen.Client.html#process_response_headers/1"},{"type":"function","title":"Qwen.Client.process_response_status_code/1","doc":"","ref":"Qwen.Client.html#process_response_status_code/1"},{"type":"function","title":"Qwen.Client.process_status_code/1","doc":"","ref":"Qwen.Client.html#process_status_code/1"},{"type":"function","title":"Qwen.Client.process_url/1","doc":"","ref":"Qwen.Client.html#process_url/1"},{"type":"function","title":"Qwen.Client.put/4","doc":"Issues a PUT request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Qwen.Client.html#put/4"},{"type":"function","title":"Qwen.Client.put!/4","doc":"Issues a PUT request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Qwen.Client.html#put!/4"},{"type":"function","title":"Qwen.Client.query_params/2","doc":"","ref":"Qwen.Client.html#query_params/2"},{"type":"function","title":"Qwen.Client.request/1","doc":"Issues an HTTP request using an `HTTPoison.Request` struct.\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"Qwen.Client.html#request/1"},{"type":"function","title":"Redirect handling - Qwen.Client.request/1","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"Qwen.Client.html#request/1-redirect-handling"},{"type":"function","title":"Examples - Qwen.Client.request/1","doc":"request = %HTTPoison.Request{\n      method: :post,\n      url: \"https://my.website.com\",\n      body: \"{\\\"foo\\\": 3}\",\n      headers: [{\"Accept\", \"application/json\"}]\n    }\n\n    request(request)","ref":"Qwen.Client.html#request/1-examples"},{"type":"function","title":"Qwen.Client.request/5","doc":"Issues an HTTP request with the given method to the given url.\n\nThis function is usually used indirectly by `get/3`, `post/4`, `put/4`, etc\n\nArgs:\n  * `method` - HTTP method as an atom (`:get`, `:head`, `:post`, `:put`,\n    `:delete`, etc.)\n  * `url` - target url as a binary string or char list\n  * `body` - request body. See more below\n  * `headers` - HTTP headers as an orddict (e.g., `[{\"Accept\", \"application/json\"}]`)\n  * `options` - Keyword list of options\n\nBody: see type `HTTPoison.Request`\n\nOptions: see type `HTTPoison.Request`\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"Qwen.Client.html#request/5"},{"type":"function","title":"Redirect handling - Qwen.Client.request/5","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"Qwen.Client.html#request/5-redirect-handling"},{"type":"function","title":"Examples - Qwen.Client.request/5","doc":"request(:post, \"https://my.website.com\", \"{\\\"foo\\\": 3}\", [{\"Accept\", \"application/json\"}])","ref":"Qwen.Client.html#request/5-examples"},{"type":"function","title":"Qwen.Client.request!/1","doc":"Issues an HTTP request an `HTTPoison.Request` struct.\nexception in case of failure.\n\n`request!/1` works exactly like `request/1` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"Qwen.Client.html#request!/1"},{"type":"function","title":"Qwen.Client.request!/5","doc":"Issues an HTTP request with the given method to the given url, raising an\nexception in case of failure.\n\n`request!/5` works exactly like `request/5` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"Qwen.Client.html#request!/5"},{"type":"function","title":"Qwen.Client.request_headers/1","doc":"","ref":"Qwen.Client.html#request_headers/1"},{"type":"function","title":"Qwen.Client.request_options/1","doc":"","ref":"Qwen.Client.html#request_options/1"},{"type":"function","title":"Qwen.Client.start/0","doc":"Starts HTTPoison and its dependencies.","ref":"Qwen.Client.html#start/0"},{"type":"function","title":"Qwen.Client.stream_next/1","doc":"Requests the next message to be streamed for a given `HTTPoison.AsyncResponse`.\n\nSee `request!/5` for more detailed information.","ref":"Qwen.Client.html#stream_next/1"},{"type":"type","title":"Qwen.Client.body/0","doc":"","ref":"Qwen.Client.html#t:body/0"},{"type":"type","title":"Qwen.Client.headers/0","doc":"","ref":"Qwen.Client.html#t:headers/0"},{"type":"type","title":"Qwen.Client.method/0","doc":"","ref":"Qwen.Client.html#t:method/0"},{"type":"type","title":"Qwen.Client.options/0","doc":"","ref":"Qwen.Client.html#t:options/0"},{"type":"type","title":"Qwen.Client.params/0","doc":"","ref":"Qwen.Client.html#t:params/0"},{"type":"type","title":"Qwen.Client.request/0","doc":"","ref":"Qwen.Client.html#t:request/0"},{"type":"type","title":"Qwen.Client.url/0","doc":"","ref":"Qwen.Client.html#t:url/0"},{"type":"module","title":"Qwen.Config","doc":"Reads configuration on application start, parses all environment variables (if any)\nand caches the final config in memory to avoid parsing on each read afterwards.","ref":"Qwen.Config.html"},{"type":"function","title":"Qwen.Config.api_key/0","doc":"","ref":"Qwen.Config.html#api_key/0"},{"type":"function","title":"Qwen.Config.api_url/0","doc":"","ref":"Qwen.Config.html#api_url/0"},{"type":"function","title":"Qwen.Config.http_options/0","doc":"","ref":"Qwen.Config.html#http_options/0"},{"type":"function","title":"Qwen.Config.start_link/1","doc":"","ref":"Qwen.Config.html#start_link/1"},{"type":"module","title":"Qwen.Generation","doc":"Qwen Generation","ref":"Qwen.Generation.html"},{"type":"function","title":"Qwen.Generation.chat/1","doc":"将通义千问大语言模型的对话结果解析为更加精简的格式，\n返回`{:ok, text_content}` 或 `{:error, message}`，而不是原始格式","ref":"Qwen.Generation.html#chat/1"},{"type":"function","title":"精简格式(默认) - Qwen.Generation.chat/1","doc":"```elixir\niex> import Qwen.Generation\niex> prompt = ~l\"model: qwen-turbo system: 你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话。user: 你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\n[\n  model: \"qwen-turbo\",\n  input: %{\n    messages: [\n      %{\n        role: \"system\",\n        content: \"你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话。\"\n      },\n      %{\n        role: \"user\",\n        content: \"你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\n      }\n    ]\n  },\n  parameters: %{}\n]\niex> Qwen.chat(prompt)\n{:ok,\n\"我李白，醉卧青天云间游，笔下挥洒天地秋。虽非意大利文豪，但对异国才子亦有敬意。卡尔维诺如织梦者，编织文字的绮丽迷宫，\n《看不见的城市》唤起无尽想象，跨越时空的桥梁。\n心灵之旅如幻如真，寓言世界深邃如渊。\n他的故事如月挂天涯，照亮异域文化之光。\n才华横溢如星河璀璨，卡尔维诺在文学的夜空独步，\n虽未亲临其境，诗篇寄情以遥祝，\n愿他的奇思永照人间，让读者沉醉在永恒的篇章。\"}\n```","ref":"Qwen.Generation.html#chat/1-%E7%B2%BE%E7%AE%80%E6%A0%BC%E5%BC%8F-%E9%BB%98%E8%AE%A4"},{"type":"function","title":"原始格式 - Qwen.Generation.chat/1","doc":"```elixir\n{:ok,\n%{\n  output: %{\n    \"finish_reason\" => \"stop\",\n    \"text\" => \"我李白，醉卧青天云间游，笔下挥洒天地秋。虽非意大利文豪，但对异国才子亦有敬意。卡尔维诺如织梦者，编织文字的绮丽迷宫，\n《看不见的城市》唤起无尽想象，跨越时空的桥梁。\n心灵之旅如幻如真，寓言世界深邃如渊。\n他的故事如月挂天涯，照亮异域文化之光。\n才华横溢如星河璀璨，卡尔维诺在文学的夜空独步，\n虽未亲临其境，诗篇寄情以遥祝，\n愿他的奇思永照人间，让读者沉醉在永恒的篇章。\"\n  },\n  usage: %{\n    \"input_tokens\" => 33,\n    \"output_tokens\" => 146,\n    \"total_tokens\" => 179\n  },\n  request_id: \"c02c1370-6d76-9628-b379-a59792f2b485\"\n}}\n```","ref":"Qwen.Generation.html#chat/1-%E5%8E%9F%E5%A7%8B%E6%A0%BC%E5%BC%8F"},{"type":"function","title":"Qwen.Generation.fetch/2","doc":"","ref":"Qwen.Generation.html#fetch/2"},{"type":"function","title":"Qwen.Generation.generation/2","doc":"","ref":"Qwen.Generation.html#generation/2"},{"type":"function","title":"Qwen.Generation.sigil_l/2","doc":"利用Elixir的Sigil，按照一定格式输入字符串，自动解析为请求需要的格式","ref":"Qwen.Generation.html#sigil_l/2"},{"type":"function","title":"示例一: 一般用法 - Qwen.Generation.sigil_l/2","doc":"只需要指定`model`和`system`, `user`即可。\n\n```elixir\niex> import Qwen.Generation\niex> ~l\"model: qwen-turbo system: 你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话。user: 你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\n[\n  model: \"qwen-turbo\",\n  input: %{\n    messages: [\n      %{\n        role: \"system\",\n        content: \"你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话。\"\n      },\n      %{\n        role: \"user\",\n        content: \"你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\n      }\n    ]\n  },\n  parameters: %{}\n]\n```","ref":"Qwen.Generation.html#sigil_l/2-%E7%A4%BA%E4%BE%8B%E4%B8%80-%E4%B8%80%E8%88%AC%E7%94%A8%E6%B3%95"},{"type":"function","title":"示例二: 指定`parameters` - Qwen.Generation.sigil_l/2","doc":"通过`parameters.key: value`指定`parameters`部分的参数`key`为`value`,\n如加入`parameters.result_format: message`可以设置参数`parameters.result_format`为`message`\n\n```elixir\niex> import Qwen.Generation\niex> ~l\"model: qwen-turbo parameters.result_format: message system: 你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话。user: 你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\n[\n  model: \"qwen-turbo\",\n  input: %{\n    messages: [\n      %{\n        role: \"system\",\n        content: \"你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话。\"\n      },\n      %{\n        role: \"user\",\n        content: \"你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\n      }\n    ]\n  },\n  parameters: %{result_format: \"message\"}\n]\n```","ref":"Qwen.Generation.html#sigil_l/2-%E7%A4%BA%E4%BE%8B%E4%BA%8C-%E6%8C%87%E5%AE%9A-parameters"},{"type":"function","title":"Qwen.Generation.url/0","doc":"","ref":"Qwen.Generation.html#url/0"},{"type":"extras","title":"Qwen(千问)","doc":"# Qwen(千问)\n\n对通义千问REST API\n([API详情](https://help.aliyun.com/zh/dashscope/developer-reference/api-details))\n进行封装(非官方)，在Elixir更加便捷地使用通义千问的能力。","ref":"readme.html"},{"type":"extras","title":"安装 - Qwen(千问)","doc":"目前已经发布到[https://hexdocs.pm/qwen](https://hexdocs.pm/qwen)，\n可以在`mix.exs`添加`qwen`来安装:\n\n```elixir\ndef deps do\n  [\n    {:qwen, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#%E5%AE%89%E8%A3%85"},{"type":"extras","title":"文档 - Qwen(千问)","doc":"[https://hexdocs.pm/qwen](https://hexdocs.pm/qwen)","ref":"readme.html#%E6%96%87%E6%A1%A3"},{"type":"extras","title":"使用 - Qwen(千问)","doc":"```elixir\niex> import Qwen.Generation\niex> prompt = ~l\"model: qwen-turbo system: 你是一个学贯中西，通晓古今的文学家，给定一些历史上的文人，你能够根据这些人物的特征给出符合人物形象的对话。user: 你是唐代诗人李白，请做一首诗评价一下意大利作家卡尔维诺\"\niex> Qwen.chat(prompt)\n{:ok,\n\"我李白，醉卧青天云间游，笔下挥洒天地秋。虽非意大利文豪，但对异国才子亦有敬意。卡尔维诺如织梦者，编织文字的绮丽迷宫，\n《看不见的城市》唤起无尽想象，跨越时空的桥梁。\n心灵之旅如幻如真，寓言世界深邃如渊。\n他的故事如月挂天涯，照亮异域文化之光。\n才华横溢如星河璀璨，卡尔维诺在文学的夜空独步，\n虽未亲临其境，诗篇寄情以遥祝，\n愿他的奇思永照人间，让读者沉醉在永恒的篇章。\"}\n```","ref":"readme.html#%E4%BD%BF%E7%94%A8"},{"type":"extras","title":"致谢 - Qwen(千问)","doc":"The implementation is highly inspired by \n[openai.ex](https://github.com/mgallo/openai.ex) and \n[elixir_ai](https://github.com/cbh123/elixir_ai).","ref":"readme.html#%E8%87%B4%E8%B0%A2"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [Unreleased]\n\n\n\n## [0.1.0] - 2024-02-29\n\n#","ref":"changelog.html"},{"type":"extras","title":"Added - Changelog","doc":"- 增加通义千问大语言模型[文本生成功能](https://help.aliyun.com/zh/dashscope/developer-reference/quick-start)的封装","ref":"changelog.html#added"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2024 Mathew Shen\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown"}